#
# spec file for package lxqt-l10n
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           lxqt-l10n
Version:        0.11.0
Release:        2.2
Summary:        Translations for LXQt Desktop Environment
License:        LGPL-2.1+
Group:          System/Localization
Url:            https://github.com/lxde/translations
Source0:        https://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        https://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(lxqt)
Requires:       compton-conf-lang = %{version}-%{release}
Requires:       libfm-qt-lang = %{version}-%{release}
Requires:       liblxqt-lang = %{version}-%{release}
Requires:       lximage-qt-lang = %{version}-%{release}
Requires:       lxqt-about-lang = %{version}-%{release}
Requires:       lxqt-admin-lang = %{version}-%{release}
Requires:       lxqt-config-lang = %{version}-%{release}
Requires:       lxqt-globalkeys-lang = %{version}-%{release}
Requires:       lxqt-notificationd-lang = %{version}-%{release}
Requires:       lxqt-openssh-askpass-lang = %{version}-%{release}
Requires:       lxqt-panel-lang = %{version}-%{release}
Requires:       lxqt-policykit-lang = %{version}-%{release}
Requires:       lxqt-powermanagement-lang = %{version}-%{release}
Requires:       lxqt-runner-lang = %{version}-%{release}
Requires:       lxqt-session-lang = %{version}-%{release}
Requires:       lxqt-sudo-lang = %{version}-%{release}
Requires:       obconf-qt-lang = %{version}-%{release}
Requires:       pcmanfm-qt-lang = %{version}-%{release}
Requires:       qterminal-lang = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is repository with translations of all LXQt components (like lxqt-panel,
lxqt-runner etc.).

%package -n compton-conf-lang
Group:          System/Localization
Summary:        Languages for package compton-conf

%package -n libfm-qt-lang
Group:          System/Localization
Summary:        Languages for package libfm-qt

%package -n liblxqt-lang
Group:          System/Localization
Summary:        Languages for package liblxqt

%package -n lximage-qt-lang
Group:          System/Localization
Summary:        Languages for package lximage-qt

%package -n lxqt-about-lang
Group:          System/Localization
Summary:        Languages for package lxqt-about

%package -n lxqt-admin-lang
Group:          System/Localization
Summary:        Languages for package lxqt-admin

%package -n lxqt-config-lang
Group:          System/Localization
Summary:        Languages for package lxqt-config

%package -n lxqt-globalkeys-lang
Group:          System/Localization
Summary:        Languages for package lxqt-globalkeys

%package -n lxqt-notificationd-lang
Group:          System/Localization
Summary:        Languages for package lxqt-notificationd

%package -n lxqt-openssh-askpass-lang
Group:          System/Localization
Summary:        Languages for package lxqt-openssh-askpass

%package -n lxqt-panel-lang
Group:          System/Localization
Summary:        Languages for package lxqt-panel

%package -n lxqt-policykit-lang
Group:          System/Localization
Summary:        Languages for package lxqt-policykit

%package -n lxqt-powermanagement-lang
Group:          System/Localization
Summary:        Languages for package lxqt-powermanagement

%package -n lxqt-runner-lang
Group:          System/Localization
Summary:        Languages for package lxqt-runner

%package -n lxqt-session-lang
Group:          System/Localization
Summary:        Languages for package lxqt-session

%package -n lxqt-sudo-lang
Group:          System/Localization
Summary:        Languages for package lxqt-sudo

%package -n obconf-qt-lang
Group:          System/Localization
Summary:        Languages for package obconf-qt

%package -n pcmanfm-qt-lang
Group:          System/Localization
Summary:        Languages for package pcmanfm-qt

%package -n qterminal-lang
Group:          System/Localization
Summary:        Languages for package qterminal

%description -n compton-conf-lang
Provides translations to the package compton-conf

%description -n libfm-qt-lang
Provides translations to the package libfm-qt

%description -n liblxqt-lang
Provides translations to the package liblxqt

%description -n lximage-qt-lang
Provides translations to the package lximage-qt

%description -n lxqt-about-lang
Provides translations to the package lxqt-about

%description -n lxqt-admin-lang
Provides translations to the package lxqt-admin

%description -n lxqt-config-lang
Provides translations to the package lxqt-config

%description -n lxqt-globalkeys-lang
Provides translations to the package lxqt-globalkeys

%description -n lxqt-notificationd-lang
Provides translations to the package lxqt-notificationd

%description -n lxqt-openssh-askpass-lang
Provides translations to the package lxqt-openssh-askpass

%description -n lxqt-panel-lang
Provides translations to the package lxqt-panel

%description -n lxqt-policykit-lang
Provides translations to the package lxqt-policykit

%description -n lxqt-powermanagement-lang
Provides translations to the package lxqt-powermanagement

%description -n lxqt-runner-lang
Provides translations to the package lxqt-runner

%description -n lxqt-session-lang
Provides translations to the package lxqt-session

%description -n lxqt-sudo-lang
Provides translations to the package lxqt-sudo

%description -n obconf-qt-lang
Provides translations to the package obconf-qt

%description -n pcmanfm-qt-lang
Provides translations to the package pcmanfm-qt

%description -n qterminal-lang
Provides translations to the package qterminal

%prep
%setup -q -n %{name}-%{version}

%build
%cmake
make %{?_smp_mflags}

%install
%if 0%{?suse_version}
pushd ./build
%endif
make %{?_smp_mflags} DESTDIR=%{buildroot} install-compton-conf
make %{?_smp_mflags} DESTDIR=%{buildroot} install-libfm-qt
make %{?_smp_mflags} DESTDIR=%{buildroot} install-liblxqt
make %{?_smp_mflags} DESTDIR=%{buildroot} install-liblxqt-config-cursor
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lximage-qt
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-about
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-admin
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-admin-time
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-admin-user
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-appearance
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-brightness
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-file-associations
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-globalkeyshortcuts
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-input
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-locale
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-monitor
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-notificationd
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-powermanagement
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-config-session
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-globalkeys
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-leave
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-notificationd
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-openssh-askpass
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-panel
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-policykit
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-policykit-agent
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-powermanagement
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-runner
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-session
make %{?_smp_mflags} DESTDIR=%{buildroot} install-lxqt-sudo
make %{?_smp_mflags} DESTDIR=%{buildroot} install-obconf-qt
make %{?_smp_mflags} DESTDIR=%{buildroot} install-pcmanfm-qt
make %{?_smp_mflags} DESTDIR=%{buildroot} install-qterminal
install -dm 0755 %{buildroot}%{_datadir}/lxqt/translations/lxqt-config-cursor
install -Dm 0644 lxqt-config/liblxqt-config-cursor/lxqt-config-cursor_*.qm %{buildroot}%{_datadir}/lxqt/translations/lxqt-config-cursor/
%if 0%{?suse_version}
popd
%endif

rm -f %{buildroot}%{_datadir}/lximage-qt/translations/lximage-qt_template.qm
%fdupes %{buildroot}%{_datadir}

%find_lang compton-conf compton-conf.lang --with-qt
%find_lang libfm-qt libfm-qt.lang --with-qt
%find_lang liblxqt liblxqt.lang --with-qt
%find_lang lximage-qt lximage-qt.lang --with-qt
%find_lang lxqt-about lxqt-about.lang --with-qt
%find_lang lxqt-admin-time lxqt-admin.lang --with-qt
%find_lang lxqt-admin-user lxqt-admin1.lang --with-qt
%find_lang lxqt-config lxqt-config.lang --with-qt
%find_lang lxqt-config-cursor lxqt-config1.lang --with-qt
%find_lang lxqt-config-appearance lxqt-config2.lang --with-qt
%find_lang lxqt-config-brightness lxqt-config3.lang --with-qt
%find_lang lxqt-config-file-associations lxqt-config4.lang --with-qt
%find_lang lxqt-config-input lxqt-config5.lang --with-qt
%find_lang lxqt-config-locale lxqt-config6.lang --with-qt
%find_lang lxqt-config-monitor lxqt-config7.lang --with-qt
for i in 1 2 3 4 5 6 7; do
    cat lxqt-config$i.lang >> lxqt-config.lang
done
%find_lang lxqt-config-globalkeyshortcuts lxqt-globalkeys.lang --with-qt
%find_lang lxqt-notificationd lxqt-notificationd.lang --with-qt
%find_lang lxqt-config-notificationd lxqt-notificationd1.lang --with-qt
%find_lang lxqt-openssh-askpass lxqt-openssh-askpass.lang --with-qt
%find_lang lxqt-panel lxqt-panel.lang --with-qt
%find_lang clock lxqt-panel1.lang --with-qt
%find_lang cpuload lxqt-panel2.lang --with-qt
%find_lang desktopswitch lxqt-panel3.lang --with-qt
%find_lang directorymenu lxqt-panel4.lang --with-qt
%find_lang dom lxqt-panel5.lang --with-qt
%find_lang kbindicator lxqt-panel6.lang --with-qt
%find_lang mainmenu lxqt-panel7.lang --with-qt
%find_lang mount lxqt-panel8.lang --with-qt
%find_lang networkmonitor lxqt-panel9.lang --with-qt
%find_lang quicklaunch lxqt-panel10.lang --with-qt
%find_lang sensors lxqt-panel11.lang --with-qt
%find_lang showdesktop lxqt-panel12.lang --with-qt
%find_lang spacer lxqt-panel13.lang --with-qt
%find_lang sysstat lxqt-panel14.lang --with-qt
%find_lang taskbar lxqt-panel15.lang --with-qt
%find_lang volume lxqt-panel16.lang --with-qt
%find_lang worldclock lxqt-panel17.lang --with-qt
#find_lang colorpicker lxqt-panel.lang --with-qt
#find_lang statusnotifier lxqt-panel.lang --with-qt
#find_lang tray lxqt-panel.lang --with-qt
for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17; do
    cat lxqt-panel$i.lang >> lxqt-panel.lang
done
%find_lang lxqt-policykit-agent lxqt-policykit.lang --with-qt
%find_lang lxqt-powermanagement lxqt-powermanagement.lang --with-qt
%find_lang lxqt-config-powermanagement lxqt-powermanagement1.lang --with-qt
%find_lang lxqt-runner lxqt-runner.lang --with-qt
%find_lang lxqt-config-session lxqt-session.lang --with-qt
%find_lang lxqt-leave lxqt-session1.lang --with-qt
%find_lang lxqt-session lxqt-session2.lang --with-qt
%find_lang lxqt-sudo lxqt-sudo.lang --with-qt
%find_lang obconf-qt obconf-qt.lang --with-qt
%find_lang pcmanfm-qt pcmanfm-qt.lang --with-qt
%find_lang qterminal qterminal.lang --with-qt

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md

%files -n compton-conf-lang -f compton-conf.lang
%defattr(-,root,root)
%dir %{_datadir}/compton-conf
%dir %{_datadir}/compton-conf/translations

%files -n libfm-qt-lang -f libfm-qt.lang
%defattr(-,root,root)
%dir %{_datadir}/libfm-qt
%dir %{_datadir}/libfm-qt/translations

%files -n liblxqt-lang -f liblxqt.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/liblxqt

%files -n lximage-qt-lang -f lximage-qt.lang
%defattr(-,root,root)
%dir %{_datadir}/lximage-qt
%dir %{_datadir}/lximage-qt/translations

%files -n lxqt-about-lang -f lxqt-about.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-about

%files -n lxqt-admin-lang -f lxqt-admin.lang -f lxqt-admin1.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-admin-time
%dir %{_datadir}/lxqt/translations/lxqt-admin-user

%files -n lxqt-config-lang -f lxqt-config.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-config
%dir %{_datadir}/lxqt/translations/lxqt-config-appearance
%dir %{_datadir}/lxqt/translations/lxqt-config-brightness
%dir %{_datadir}/lxqt/translations/lxqt-config-cursor
%dir %{_datadir}/lxqt/translations/lxqt-config-file-associations
%dir %{_datadir}/lxqt/translations/lxqt-config-input
%dir %{_datadir}/lxqt/translations/lxqt-config-locale
%dir %{_datadir}/lxqt/translations/lxqt-config-monitor

%files -n lxqt-globalkeys-lang -f lxqt-globalkeys.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-config-globalkeyshortcuts

%files -n lxqt-notificationd-lang -f lxqt-notificationd.lang -f lxqt-notificationd1.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-config-notificationd
%dir %{_datadir}/lxqt/translations/lxqt-notificationd

%files -n lxqt-openssh-askpass-lang -f lxqt-openssh-askpass.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-openssh-askpass

%files -n lxqt-panel-lang -f lxqt-panel.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-panel
%dir %{_datadir}/lxqt/translations/lxqt-panel/clock
%dir %{_datadir}/lxqt/translations/lxqt-panel/cpuload
%dir %{_datadir}/lxqt/translations/lxqt-panel/desktopswitch
%dir %{_datadir}/lxqt/translations/lxqt-panel/directorymenu
%dir %{_datadir}/lxqt/translations/lxqt-panel/dom
%dir %{_datadir}/lxqt/translations/lxqt-panel/kbindicator
%dir %{_datadir}/lxqt/translations/lxqt-panel/mainmenu
%dir %{_datadir}/lxqt/translations/lxqt-panel/mount
%dir %{_datadir}/lxqt/translations/lxqt-panel/networkmonitor
%dir %{_datadir}/lxqt/translations/lxqt-panel/quicklaunch
%dir %{_datadir}/lxqt/translations/lxqt-panel/sensors
%dir %{_datadir}/lxqt/translations/lxqt-panel/showdesktop
%dir %{_datadir}/lxqt/translations/lxqt-panel/spacer
%dir %{_datadir}/lxqt/translations/lxqt-panel/sysstat
%dir %{_datadir}/lxqt/translations/lxqt-panel/taskbar
%dir %{_datadir}/lxqt/translations/lxqt-panel/volume
%dir %{_datadir}/lxqt/translations/lxqt-panel/worldclock

%files -n lxqt-policykit-lang -f lxqt-policykit.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-policykit-agent

%files -n lxqt-powermanagement-lang -f lxqt-powermanagement.lang -f lxqt-powermanagement1.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-config-powermanagement
%dir %{_datadir}/lxqt/translations/lxqt-powermanagement

%files -n lxqt-runner-lang -f lxqt-runner.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-runner

%files -n lxqt-session-lang -f lxqt-session.lang -f lxqt-session1.lang -f lxqt-session2.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-config-session
%dir %{_datadir}/lxqt/translations/lxqt-leave
%dir %{_datadir}/lxqt/translations/lxqt-session

%files -n lxqt-sudo-lang -f lxqt-sudo.lang
%defattr(-,root,root)
%dir %{_datadir}/lxqt
%dir %{_datadir}/lxqt/translations
%dir %{_datadir}/lxqt/translations/lxqt-sudo

%files -n obconf-qt-lang -f obconf-qt.lang
%defattr(-,root,root)
%dir %{_datadir}/obconf-qt
%dir %{_datadir}/obconf-qt/translations

%files -n pcmanfm-qt-lang -f pcmanfm-qt.lang
%defattr(-,root,root)
%dir %{_datadir}/pcmanfm-qt
%dir %{_datadir}/pcmanfm-qt/translations

%files -n qterminal-lang -f qterminal.lang
%defattr(-,root,root)
%dir %{_datadir}/qterminal
%dir %{_datadir}/qterminal/translations

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0
- Package created by and.november@opensuse.org to X11:LXQt:git
